package cz.senslog.connector.fetch.metno;

import cz.senslog.connector.model.config.PropertyConfig;

import java.util.List;

public class Station {

    private double latitude, longitude;

    Station(PropertyConfig stationConfig) {
        List<Double> locations = stationConfig.getListProperty("location", Double.class);
        this.longitude = locations.get(0);
        this.latitude = locations.get(1);
    }

    Station(double latitude, double longitude) {
        this.latitude = latitude;
        this.longitude = longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public double getLongitude() {
        return longitude;
    }
}
